## com.saxonica.stream.adjunct
Class AverageAdjunct

    java.lang.Object
      com.saxonica.stream.adjunct.StreamingAdjunct
          com.saxonica.stream.adjunct.AverageAdjunct

    public class AverageAdjunct

extends StreamingAdjunct

Generate streaming code for the avg() function.

Constructor Summary
`AverageAdjunct()`

Method Summary
`FeedMaker` `getFeedMaker(Expression expression, int arg)` Get a FeedMaker, a factory class that creates a Watch to evaluate this expression in streaming mode.

Methods inherited from class com.saxonica.stream.adjunct.StreamingAdjunct
`getConfiguration, getWatchMaker, makeStreamingAdjunct, setConfiguration`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AverageAdjunct

    public AverageAdjunct()

Method Detail

### getFeedMaker

    public FeedMaker getFeedMaker(Expression expression,
                                  int arg)

  Description copied from class: `StreamingAdjunct`
  Get a FeedMaker, a factory class that creates a Watch to evaluate this expression in streaming mode.

  Overrides:
    `getFeedMaker` in class `StreamingAdjunct`
  Parameters:
    `expression` - the expression to be evaluated in streaming mode
    `arg` - identifies the argument with respect to which the expression is to be inverted: usually 0 to indicate the first argument is the value that is streamed. Argument numbering is the same as the sequence of arguments/operands returned by the method `Expression.iterateSubExpressions()`
  Returns:
    a Watchmaker to evaluate the expression, or null if it is not streamable with respect to the specificed argument.

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.